package com.ssj.service.conch.parents.v1.request;

import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import com.ssj.bean.common.framework.core.domain.BaseRequest;

/**
 * @author Mount Liu
 * @date 2018/11/16
 */
public class WalletPayReq extends BaseRequest {

    private final static long serialVersionUID = 1L;

    @ApiModelProperty(name = "money", value = "充值金额", required = true)
    private BigDecimal money;
	@ApiModelProperty(name = "recordName", value = "账单名", required = true)
	private String recordName;
	@ApiModelProperty(name = "type", value = "使用操作业务类型（1：一对一，2：小课，3：会员续费，4：其他）", required = true)
	private Integer type;

	public BigDecimal getMoney() {
		return money;
	}

	public void setMoney(BigDecimal money) {
		this.money = money;
	}

	public String getRecordName() {
		return recordName;
	}

	public void setRecordName(String recordName) {
		this.recordName = recordName;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}
}
